Skip to content
Start here

Live tail heartbeat

client.workers.observability.telemetry.liveTailHeartbeat(TelemetryLiveTailHeartbeatParams { account_id, scriptId } params, RequestOptionsoptions?): TelemetryLiveTailHeartbeatResponse
POST/accounts/{account_id}/workers/observability/telemetry/live-tail/heartbeat

Notify live tail that user is still eligible to receive live events.

Security
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
User Service Key

Used when interacting with the Origin CA certificates API. View/change your key.

Example:X-Auth-User-Service-Key: v1.0-144c9defac04969c7bfad8ef-631a41d003a32d25fe878081ef365c49503f7fada600da935e2851a1c7326084b85cbf6429c4b859de8475731dc92a9c329631e6d59e6c73da7b198497172b4cefe071d90d0f5d2719
Accepted Permissions (at least one required)
Workers Observability Write
ParametersExpand Collapse
params: TelemetryLiveTailHeartbeatParams { account_id, scriptId }
account_id: string

Path param: Your Cloudflare account ID.

scriptId?: string

Body param

ReturnsExpand Collapse
TelemetryLiveTailHeartbeatResponse = unknown

Live tail heartbeat

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const response = await client.workers.observability.telemetry.liveTailHeartbeat({
  account_id: 'account_id',
});

console.log(response);
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "Successful request"
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "Successful request"
    }
  ],
  "result": {},
  "success": true
}